# Change Track Origin Code

```
@param originCode Track origin string code.
 @param token Target track token.
 @param callback Completion handler with empty response.
- (void)changeTrackOrigin:(NSString *)originCode
            forTrackToken:(NSString *)token
               completion:(RPAPIEntryCallback)callback;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/response-codes/archive/back-end-to-app-integration/get-the-data-to-the-ios-app/tracks/track-origin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
